Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1840092 - libappindicator support for nm-applet
Summary: libappindicator support for nm-applet
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: network-manager-applet
Version: 32
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-26 11:15 UTC by Vasile Chelban
Modified: 2020-06-18 13:27 UTC (History)
6 users (show)

Fixed In Version: network-manager-applet-1.16.0-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-18 13:27:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Vasile Chelban 2020-05-26 11:15:54 UTC
Description of problem:
In order to use nm-applet in Enlightenment desktop there must be appindicator support enabled.

Version-Release number of selected component (if applicable):
1.16.0-1

Steps to Reproduce:
1. Install enlightenment `dnf install network-manager-applet enlightenment`
2. Login in into enlightenment
3. From enlightenment menu launch Settings->Module dialog, select "systray" module, and press "Load" button.
4. From enlightenment menu launch Settings->Shelves dialog, select "shelf" shelf, and press "Contents" button. Scroll to Systray module, and press "Add" button.
5. Run from terminal `nm-applet --indicator`

Actual results:
Applet icon does not appear 

Expected results:
Network manager applet icon should appear in Enlightenment shelf.

Additional info:
Spec file required changes:
1. Add buildRequires:
BuildRequires: libappindicator-gtk3-devel
BuildRequires: libdbusmenu-gtk3-devel

2. In %build section add define parameter to meson command:
    -Dappindicator=yes \

Comment 2 Fedora Update System 2020-06-15 16:03:59 UTC
FEDORA-2020-894d5286b3 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-894d5286b3

Comment 3 Fedora Update System 2020-06-16 01:29:23 UTC
network-manager-applet-1.16.0-2.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-894d5286b3

Comment 4 Fedora Update System 2020-06-18 13:27:45 UTC
FEDORA-2020-894d5286b3 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.